#! /usr/bin/env lua

-- ProgressBar example.

require("lgui")

local window = lgui.Window.new()
local hbox = lgui.HBox.new(false, 0)
local vbox = lgui.VBox.new(false, 0)
local bar1 = lgui.ProgressBar.new()
local bar2 = lgui.ProgressBar.new()

local image = lgui.Image.new()
image:set("stock", "gtk-stop")
local button = lgui.Button.new()
button:set("image", image)
button:connect("clicked", lgui.quit)

local a, b = 0, 100

function work()
	if math.random(10) > 4 then
		a = a + 1
		
		bar1:set("text", string.format("%d steps", a))
		bar1:pulse()
		
		bar2:set("fraction", a / b)
		bar2:set("text", string.format("%d%%", a / b * 100))
	end
	
	if a >= 100 then
		bar1:set("fraction", 1)
		return false
	else
		return true
	end
end

lobj.Timeout.add(lobj.PRIORITY_DEFAULT, 50, work)
vbox:add(bar1, bar2)
hbox:add(vbox, button)
window:add(hbox)
window:set("title", "ProgressBar demo", "window-position", lgui.WIN_POS_CENTER)
window:connect("delete-event", lgui.quit)
window:showAll()

lgui.main()
