#! /usr/bin/env lua

-- SizeGroup example

require("lgui")

local window = lgui.Window.new()
local vbox1 = lgui.VBox.new(false, 5)
local vbox2 = lgui.VBox.new(false, 5)
local vbox3 = lgui.VBox.new(false, 5)
local group1  = lgui.SizeGroup.new(lgui.SIZE_GROUP_HORIZONTAL)
local group2  = lgui.SizeGroup.new(lgui.SIZE_GROUP_HORIZONTAL)
local f1 = lgui.Frame.new("Option group 1")
local f2 = lgui.Frame.new("Option group 2")
local c, l, b = {}, {}, {}

local values = {
	"A string", "Another string", "Ahhh, this string!", "Boots!",
	"Hey Mary...", "Mouse", "A", "Great", "State", "of", "Random"
}

for i = 1, 5 do
	l[i] = lgui.Label.new("Option " .. i)
	c[i] = lgui.ComboBox.newText()
	b[i] = lgui.HBox.new(false, 5)
	
	for j = 1, 5 do
		c[i]:appendText(values[((i + j) % #values) + 1])
	end
	
	c[i]:set("active", 0)
	b[i]:add(l[i], c[i])
	group1:addWidget(l[i])
	group2:addWidget(c[i])
end

vbox1:add(b[1], b[2], b[3])
vbox2:add(b[4], b[5])
f1:add(vbox1)
f2:add(vbox2)
vbox3:add(f1, f2)
window:add(vbox3)
window:set("title", "SizeGroup", "window-position", lgui.WIN_POS_CENTER)
window:connect("delete-event", lgui.quit)

window:showAll()
lgui.main()
