/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "color.h"

int lgui_color_tostring(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* stc = lua_touserdata(L, 1);
	gchar* str = gdk_color_to_string((GdkColor*)(stc->pointer));
	lua_pushstring(L, str);
	g_free(str);

	return 1;
}

int lgui_color_parse(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TSTRING);
	
	GdkColor color;
	gdk_color_parse(lua_tostring(L, 1), &color);
	lua_getfield(L, LUA_GLOBALSINDEX, "__lobjBoxedNew");
	lua_pushinteger(L, GDK_TYPE_COLOR);
	lua_pushlightuserdata(L, &color);
	lua_call(L, 2, 1);
		
	return 1;
}
