/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_COMBOBOX
#define LGUI_COMBOBOX

#include "widget.h"

/* GtkComboBox */

int lgui_combo_box_new(lua_State* L);
int lgui_combo_box_new_with_model(lua_State* L);
int lgui_combo_box_get_active_iter(lua_State* L);
int lgui_combo_box_set_active(lua_State* L);
int lgui_combo_box_set_model(lua_State* L);

/* Simplified - Text only */

int lgui_combo_box_new_text(lua_State* L);
int lgui_combo_box_append_text(lua_State* L);
int lgui_combo_box_prepend_text(lua_State* L);
int lgui_combo_box_get_active_text(lua_State* L);
int lgui_combo_box_remove_text(lua_State* L);
int lgui_combo_box_insert_text(lua_State* L);

/* GtkComboBoxEntry */

int lgui_combo_box_entry_new(lua_State* L);
int lgui_combo_box_entry_new_text(lua_State* L);
int lgui_combo_box_entry_new_with_model(lua_State* L);


#endif
