/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_PRINT
#define LGUI_PRINT

#include "lgui.h"

/* GtkPrintSettings */

int lgui_print_settings_new(lua_State* L);
int lgui_print_settings_copy(lua_State* L);
int lgui_print_settings_get(lua_State* L);
int lgui_print_settings_set(lua_State* L);
int lgui_print_settings_foreach(lua_State* L);

/* GtkPaperSize */

int lgui_paper_size_new(lua_State* L);
int lgui_paper_size_new_custom(lua_State* L);
int lgui_paper_size_get(lua_State* L); /* All-in-one getter */

/* GtkPageSetup */

int lgui_page_setup_new(lua_State* L);
int lgui_page_setup_copy(lua_State* L);
int lgui_page_setup_set(lua_State* L); /* All-in-one setter */
int lgui_page_setup_get(lua_State* L); /* All-in-one getter */
int lgui_print_run_page_setup_dialog(lua_State* L);

/* GtkPrintOperation */

int lgui_print_operation_new(lua_State* L);
int lgui_print_operation_run(lua_State* L);
int lgui_print_operation_get_error(lua_State* L);
int lgui_print_operation_get_error(lua_State* L);

/* GtkPrintContext */

int lgui_print_context_create_pango_layout(lua_State* L);
int lgui_print_context_get_size(lua_State* L);
int lgui_print_context_get_dpi(lua_State* L);

/* GtkPrintPreview */

int lgui_print_operation_preview_end_preview(lua_State* L);
int lgui_print_operation_preview_is_selected(lua_State* L);
int lgui_print_operation_preview_render_page(lua_State* L);

#endif
