/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "screen.h"

int lgui_screen_get_default(lua_State* L)
{
	GdkScreen* ptr = gdk_screen_get_default();
	object_new(L, ptr, FALSE);
	return 1;
}

int lgui_screen_is_composited(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);
	
	gboolean res = gdk_screen_is_composited(GDK_SCREEN(obj->pointer));
	lua_pushboolean(L, res);
	
	return 1;
}

int lgui_screen_get_number(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);
	
	gint res = gdk_screen_get_number(GDK_SCREEN(obj->pointer));
	lua_pushnumber(L, res);
	
	return 1;
}

int lgui_screen_get_size(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);
	
	gint width = gdk_screen_get_width(GDK_SCREEN(obj->pointer));
	gint height = gdk_screen_get_height(GDK_SCREEN(obj->pointer));
	
	lua_pushnumber(L, width);
	lua_pushnumber(L, height);
	
	return 2;
}

int lgui_screen_get_n_monitors(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);
	
	gint res = gdk_screen_get_n_monitors(GDK_SCREEN(obj->pointer));
	lua_pushnumber(L, res);
	
	return 1;
}
