/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#include "statusicon.h"

int lgui_status_icon_new(lua_State* L)
{
	GtkStatusIcon* ptr = gtk_status_icon_new();
	object_new(L, ptr, FALSE);

	return 1;
}

int lgui_status_icon_set_tooltip(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	luaL_checktype(L, 2, LUA_TSTRING);

	Object* obj = lua_touserdata(L, 1);
	gtk_status_icon_set_tooltip(GTK_STATUS_ICON(obj->pointer), lua_tostring(L, 2));

	return 0;
}

int lgui_status_icon_is_embedded(lua_State* L)
{
	luaL_checktype(L, 1, LUA_TUSERDATA);
	Object* obj = lua_touserdata(L, 1);
	
	gboolean res = gtk_status_icon_is_embedded(GTK_STATUS_ICON(obj->pointer));
	lua_pushboolean(L, res);
	return 1;
}
