#!/usr/bin/env lua

--[[
	Checks GtkPrintSettings.
--]]

require("lgui")

for i = 1, 10000 do
	local ps = lgui.PrintSettings.new()
	ps:set("n-pages", "10")
	ps:set("hello-world", "Yes!")
	local ps2 = ps:copy()
	ps2:set("n-pages", "15")
	assert(ps2:get("hello-world") == ps:get("hello-world"))
	assert(ps:get("n-pages") == "10")
	assert(ps2:get("n-pages") == "15")
	ps:set("n-pages", nil) -- unset
	assert(not ps:get("n-pages"))
end

local ps = lgui.PrintSettings.new()
ps:set("n-pages", "10")
ps:set("hello-world", "Yes!")

local i = 0
ps:foreach(function() i = i + 1 end)
assert(i == 2)

for i = 1, 10000 do
	local ps = lgui.PageSetup.new()
	local ps2 = ps:copy()
	local paper = lgui.PaperSize.newCustom("my_name", "My name", 100, 200, lgui.UNIT_MM)
	local params1 = {
		["orientation"] = 1, ["paper-size"] = paper, 
		["botton-margin"] = 20, ["top-margin"] = 10,
		["left-margin"] = 15, ["right-margin"] = 5,
		["page-height"] = 70, ["page-width"] = 180, 
		["paper-height"] = 100, ["paper-width"] = 200,
	}
	
	ps2:set(lgui.UNIT_MM, params1)
	local params2 = ps2:get(lgui.UNIT_MM)
	
	for i, j in pairs(params2) do
		assert(tostring(j) == tostring(params1[i]))
	end
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
