#!/usr/bin/env lua

--[[
	Checks for leaks and errors in lgui.TreePath.
--]]

require("lgui")

for i = 1, 10000 do
	local pathA = lgui.TreePath.new()
	pathA:appendIndex(10)
	pathA:appendIndex(20)
	pathA:appendIndex(30)
	pathA:prependIndex(5)
	
	local pathB = lgui.TreePath.newFirst()
	
	local pathC = lgui.TreePath.newFromString("10:4:2:1")
	local pathD = pathC:copy()
	
	pathC:down()
	pathC:next()
	pathC:next()
	pathC:prev()
	pathC:down()
	pathC:up()
	assert(tostring(pathC) == "10:4:2:1:1")
	
	assert(#pathD:getIndices() == 4)
	assert(pathD:getDepth() == 4)
	
	local pathE = lgui.TreePath.newFromString("1")
	assert(pathB:compare(pathE) == -1)
	
	local model = lgui.ListStore.new("gchararray")
	local iter = lgui.TreeIter.new()
	model:append(iter)
	model:seto(iter, "test1")
	model:append(iter)
	model:seto(iter, "test2")
	local path = lgui.TreePath.newFromString("0")
	lgui.TreeModel.getIter(model, iter, path)
	lgui.TreeModel.rowChanged(model, iter, path)
	lgui.TreeModel.rowInserted(model, iter, path)
	lgui.TreeModel.rowHasChildToggled(model, iter, path)
	lgui.TreeModel.rowDeleted(model, iter, path)
	lgui.TreeModel.rowsReordered(model, iter, path, {1, 0})
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
